---
{
.title = "Setup",
.date = @date("2024-05-20T00:00:00"),
.author = "koehr",
.draft = false,
.layout = "page.html",
.description = "As a software engineer, the tools I use define how I work and I find it inspiring to see which tools other people use.",
.tags = [],
}
---

---

This page focusses on Hardware. For Software, check [/stack](/stack).

---

I used to work on laptops without any extras, but over the years ergonomics got more and more important. Now I have a second screen, a standing desk and an ergonomic chair. My main keyboard is split in half and my pointer device is a big red ball.

## Work Computer: Thinkpad T14s

> Decent CPU, good amount of RAM, very lightweight, great battery life

Thinkpads are my go-to laptops for work. They are robust and performant.

## Private Computer: ASUS Zenbook Pro Duo

> Fantastic screen, a second display, decent hardware

My private laptop is a bit more experimental. It features a dual screen setup with a 16:10 OLED screen and an additional 16:5(-ish) LCD above the keyboard.

## Keyboard: Sofle 2 split-keyboard

I use the [Sofle 2](https://josefadamcik.github.io/SofleKeyboard/) keyboard. I adapted it to my needs. It features two rotary encoders and a customized [qmk firmware](https://qmk.fm) configuration. The source code can be found [on github](https://github.com/nkoehring/qmk_firmware/tree/master). 

## <span title="a.k.a. mouse">Pointer</span>: Kensington Orbit

The [Kensington Orbit](https://www.kensington.com/p/products/electronic-control-solutions/trackball-products/orbit-wireless-trackball-with-scroll-ring/) is a trackball and a treat for every wrist.

## Desk: ergonomic

My desk is height adjustable, so that I can sit or stand at it. Its not a fancy branded one; it does it job well, though.

## Chair: ergonomic

My chair is an ergonomic office chair with 4D arm rests and extra back support. I can sit on it all day without issues.
